Bug 14275 - Remove CGI::scrolling_list from guided_reports.pl
Summary: Remove CGI::scrolling_list from guided_reports.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 766
  Show dependency treegraph
 
Reported: 2015-05-26 13:59 UTC by Bernardo Gonzalez Kriegel
Modified: 2016-12-05 21:23 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14275: Remove CGI::scrolling_list from guided_reports.pl (3.44 KB, patch)
2015-05-26 14:17 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[Signed-off] Bug 14275: Remove CGI::scrolling_list from guided_reports.pl (3.63 KB, patch)
2015-05-27 07:08 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14275: Remove CGI::scrolling_list from guided_reports.pl (3.68 KB, patch)
2015-05-27 13:32 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2015-05-26 13:59:15 UTC
One scrolling_list in this file
Comment 1 Bernardo Gonzalez Kriegel 2015-05-26 14:17:43 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-05-27 07:08:02 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-05-27 13:32:55 UTC
Created attachment 39586 [details] [review]
Bug 14275: Remove CGI::scrolling_list from guided_reports.pl

Remove an instance of CGI::scrolling_list from this file

To test:
1) Go to Reports, Guided report wizard, New SQL report

2) Create a report with some auth value list, e.g.

SELECT surname,firstname FROM borrowers WHERE branchcode=<<Enter patrons library|branches>>

Save

3) Clic on 'Run this report", look at the dropdown, that will be changed

4) Apply the patch

5) Reload, check dropdown and any regression

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 4 Tomás Cohen Arazi 2015-05-27 17:35:46 UTC
Patch pushed to master.

Thanks Bernardo!
Comment 5 Chris Cormack 2015-06-03 07:55:47 UTC
Pushed to 3.20.x will be in 3.20.1
Comment 6 Liz Rea 2015-06-22 22:37:51 UTC
Patch pushed to 3.18.x will be in 3.18.08
Comment 7 Mason James 2015-07-25 09:48:27 UTC
Pushed to 3.16.x, will be in 3.16.13